Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.ui
Class JRexStatusBarImpl

    java.lang.Object
      org.mozilla.jrex.ui.JRexStatusBarImpl

All Implemented Interfaces:
  ActionListener, EventListener, JRexStatusBar, ProgressListener

public class JRexStatusBarImpl
extends Object
implements JRexStatusBar, ActionListener, ProgressListener

Class implementing JRexStatusBar interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `JRexStatusBar`

Constructor Summary
`JRexStatusBarImpl()` Don't use this function to create a JRexToolBar instance use JRexFactory.

Method Summary
`void` | `actionPerformed(ActionEvent ae)`
`JComponent` | `getStatusBar()` Function to get the Status Bar.
`void` | `onLinkStatusChange(ProgressEvent event)` This is an additional event to set of progress event, this event occurs when mouse is rolled over a link which is usually printed in the status bar of the browser.
`void` | `onLocationChange(ProgressEvent event)` Called when the window being watched changes the location that is currently.
`void` | `onProgressChange(ProgressEvent event)` Notification that the progress has changed for one of the requests being monitored.
`void` | `onSecurityChange(ProgressEvent event)` Notification called for security progress.
`void` | `onStateChange(ProgressEvent event)` Notification indicating the state has changed for one of the requests associated with the document loaded.
`void` | `onStatusChange(ProgressEvent event)` Notification that the status has changed.
`void` | `setBrowser(JRexCanvas browser)` Invoked to set the browser component associated with Status Bar.
`void` | `setMode(int mode)` Invoked to set the WindowManager MODE in use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexStatusBarImpl

    public JRexStatusBarImpl()

  Don't use this function to create a JRexToolBar instance use JRexFactory.

See Also:
  `JRexFactory`

Method Detail

### setBrowser

    public void setBrowser(JRexCanvas browser)

  Description copied from interface: `JRexStatusBar`
  Invoked to set the browser component associated with Status Bar.

  Specified by:
    `setBrowser` in interface `JRexStatusBar`

### setMode

    public void setMode(int mode)

  Description copied from interface: `JRexStatusBar`
  Invoked to set the WindowManager MODE in use.

  Specified by:
    `setMode` in interface `JRexStatusBar`

### getStatusBar

    public JComponent getStatusBar()

  Description copied from interface: `JRexStatusBar`
  Function to get the Status Bar. The StatusBar will be based on WindowManager MODE.

  Specified by:
    `getStatusBar` in interface `JRexStatusBar`

### actionPerformed

    public void actionPerformed(ActionEvent ae)

  Specified by:
    `actionPerformed` in interface `ActionListener`

### onStateChange

    public void onStateChange(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  Notification indicating the state has changed for one of the requests associated with the document loaded. For this event the ProgressEvent's getEventParam will return StateChangeEventParam instance.

  Specified by:
    `onStateChange` in interface `ProgressListener`
  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `StateChangeEventParam`

### onLocationChange

    public void onLocationChange(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  Called when the window being watched changes the location that is currently. This is not when a load is requested, but rather once it is verified that the load is going to occur in the given window. For instance, a load that starts in a window might send progress and status messages, for the new site but it will not send the onLocationChange until we are sure we are loading this new page here. For this event the ProgressEvent's getEventParam will return URI of the location that is being loaded.

  Specified by:
    `onLocationChange` in interface `ProgressListener`
  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`

### onStatusChange

    public void onStatusChange(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  Notification that the status has changed. The status message is usually printed in the status bar of the browser. For this event the ProgressEvent's getEventParam will return StatusChangeEventParam instance.

  Specified by:
    `onStatusChange` in interface `ProgressListener`
  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `StatusChangeEventParam`

### onSecurityChange

    public void onSecurityChange(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  Notification called for security progress. This method will be called on security transitions (eg HTTP -> HTTPS, HTTPS -> HTTP, FOO -> https) and after document load completion. It might also be called if an error occurs during network loading. For this event the ProgressEvent's getEventParam will return StatusChangeEventParam instance. These notification will only occur if a security package is installed.

  Specified by:
    `onSecurityChange` in interface `ProgressListener`
  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `StatusChangeEventParam`

### onProgressChange

    public void onProgressChange(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  Notification that the progress has changed for one of the requests being monitored. For this event the ProgressEvent's getEventParam will return ProgressChangeEventParam instance.

  Specified by:
    `onProgressChange` in interface `ProgressListener`
  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`, `ProgressChangeEventParam`

### onLinkStatusChange

    public void onLinkStatusChange(ProgressEvent event)

  Description copied from interface: `ProgressListener`
  This is an additional event to set of progress event, this event occurs when mouse is rolled over a link which is usually printed in the status bar of the browser. For this event the ProgressEvent's getEventParam will return string representation of URI under question.

  Specified by:
    `onLinkStatusChange` in interface `ProgressListener`
  Parameters:
    `event` - The ProgressEvent
  See Also:
    `ProgressEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.